
Jupiter - Zadanie #1719
Utworzenie serwisu kontrybutorów
2017-06-02 11:50 - Michał Komar

Status: Rozwiązany Start date: 2017-06-02
Priority: Normalny Due date:
Assignee: Michał Komar % Done: 100%
Category: backend Estimated time: 0.00 hour
Target version: 0.3
Developer: Michał Komar Tester: Łukasz Waśkiewicz
Description

W ramach zadania należy utworzyć serwis, który będzie przechowywać listę wszystkich autorów, którzy występują w bazach
publikacji. Inicjalnie, trzeba przeiterowac po wszystkich publikacjach z bazy, wyjąć z nich kontrybutorów (oraz afiliacje, ale to będzie
szło do innego serwisu) i odpowiednio je spersystować. Wydaje  mi się, że odpowiednim narzędziem będzie indeks pełnotekstowy,
ewentualnie postgresql - do przedyskutowania. Serwis powinien pozwalać na wyszukiwanie kontrybutorów i zwracać w odpowiedzi
listę YContributor. Wyszukiwanie powinno odbywać się na podstawie bazy(dataset), nazwy i ewentualnie afiliacji.
Dodatkowo, należy dodawać lub aktualizować rekordy w momencie publikacji dokumentów.

Related issues:
Related to Jupiter - Zadanie # 1720: Utworzenie serwisu afiliacji Rozwiązany 2017-06-02
Precedes Jupiter - Zadanie # 1718: Dodanie sekcji z autorami Zamknięty 2017-06-05 2017-06-05

Associated revisions
Revision 8c933d07 - 2017-07-04 14:22 - Michał Komar

refs #1719: Utworzenie serwisu do podpowiadania kontrybutorów

Revision 1909344c - 2017-07-04 15:00 - Michał Komar

refs #1719: Poprawki w serwisie

Revision 4efcba7a - 2017-07-05 08:16 - Łukasz Waśkiewicz

refs #1719 poprawa sql

Revision 8a4a38b0 - 2017-08-01 14:35 - Michał Komar

refs #1719: Dodanie afiliacji do kontrybutora przy podpowiedziach

Revision d2f305bb - 2017-08-17 11:48 - Michał Komar

refs #1719: Poprawienie wyszukiwania -> ustawiana jest odpowiednia klasa

Revision cf6e67a5 - 2017-08-25 12:31 - Michał Komar

refs #1719: Poprawienie IntegrationDocumentQuery
History
#1 - 2017-06-02 11:51 - Michał Komar
- Precedes Zadanie #1718: Dodanie sekcji z autorami added

#2 - 2017-06-02 11:53 - Michał Komar
- Related to Zadanie #1720: Utworzenie serwisu afiliacji added

#3 - 2017-07-04 15:07 - Michał Komar
- Status changed from Nowy to W toku
- % Done changed from 0 to 70

Zrobione częściowo.

#4 - 2017-07-05 09:18 - Łukasz Waśkiewicz

poprawiłem sql
/postgresql/V1.9.2__authors_fix.sql
dropował kolumnę której nie było (była tylko w h2)

#5 - 2017-08-04 10:43 - Michał Komar
- Status changed from W toku to Testowanie
- Assignee changed from Michał Komar to Łukasz Waśkiewicz
- % Done changed from 70 to 100

Rozbiłem kontrybutorów na instytucje i osoby. W tym momencie powinno już wszystko działać - niestety nie ma UI, żeby przetestować

#6 - 2017-08-16 14:27 - Łukasz Waśkiewicz
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

kosmetyka:
IntegrationDocumentQuery ma pole database a chodzi o dataset
ew testy (afiliacje i instytucje mają)

/api/fulltext/authors/psjd/solecki

org.hibernate.search.exception.SearchException: Unable to find field surname in
pl.edu.icm.jupiter.services.database.model.fulltext.InstitutionEntity
    at org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.objectToString(DocumentBuilderIndexedEntity.java:1041)
    at org.hibernate.search.query.dsl.impl.FieldContext.objectToString(FieldContext.java:75)
    at
org.hibernate.search.query.dsl.impl.ConnectedMultiFieldsTermQueryBuilder.buildSearchTerm(ConnectedMultiFieldsTermQueryBuilder.java:144)
    at org.hibernate.search.query.dsl.impl.ConnectedMultiFieldsTermQueryBuilder.createQuery(ConnectedMultiFieldsTermQueryBuilder.java:106)
    at org.hibernate.search.query.dsl.impl.ConnectedMultiFieldsTermQueryBuilder.createQuery(ConnectedMultiFieldsTermQueryBuilder.java:74)
    at pl.edu.icm.jupiter.services.fulltext.ContributorFulltextServiceBase.find(ContributorFu
4)
    at
org.hibernate.search.query.dsl.impl.ConnectedMultiFieldsTermQueryBuilder.createQuery(ConnectedMultiFieldsTermQueryBuilder.java:106)
    at
org.hibernate.search.query.dsl.impl.ConnectedMultiFieldsTermQueryBuilder.createQuery(ConnectedMultiFieldsTermQueryBuilder.java:74)
    at pl.edu.icm.jupiter.services.fulltext.ContributorFulltextServiceBase.find(ContributorFulltextServiceBase.java:138)

#7 - 2017-08-21 14:25 - Michał Komar
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

Poprawiłem ContributorFulltextServiceBase

#8 - 2017-08-24 12:50 - Łukasz Waśkiewicz
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

zostało to pole database w IntegrationDocumentQuery , ja bym je zmienił na dataset

#9 - 2017-08-25 12:32 - Michał Komar
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

Poprawiłem nazwę.

#10 - 2017-08-25 13:08 - Łukasz Waśkiewicz
- Status changed from Testowanie to Rozwiązany
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

OK
